import 'package:circumstellar/circumstellar.dart';
import 'dart:async';

class ChannelSelector {
  static Future<BaseChannel> fromJson(
      Map<String, dynamic> json, DiscordClient client) async {
    switch (json['type']) {
      case 0:
        // Guild text
        return client.entities.getEntity(json['id'], 'GuildTextChannel');
      case 1:
        // DM
        break;
      case 2:
        // Guild voice
        break;
      case 3:
        // Group DM
        break;
      case 4:
        // Guild category
        break;
      default:
        return null;
    }
    return null;
  }
}
