part of circumstellar;

abstract class Entity {
  /// ID of this entity (usually a snowflake converted to a string)
  String id;

  /// The [DiscordClient] this entity belongs to.
  DiscordClient client;

  /// The raw data used to construct this entity.
  Map<String, dynamic> rawData;

  /// Updates this entity based on new JSON data.
  Future updateModel(Map<String, dynamic> json, DiscordClient client);

  /// Creates a blank entity.
  Entity(this.client);
}
