part of circumstellar;

class CDNImageHelper {
  static String imageBaseUrl = "https://cdn.discordapp.com/";

  static String customEmojiEndpoint(String emojiId, String format) =>
      imageBaseUrl + "emojis/$emojiId.$format";

  static String guildIconEndpoint(
          String guildId, String guildIconHash, String format) =>
      imageBaseUrl + "icons/$guildId/$guildIconHash.$format";

  static String guildSplashEndpoint(
          String guildId, String guildSplashHash, String format) =>
      imageBaseUrl + "splashes/$guildId/$guildSplashHash.$format";

  static String defaultUserAvatarEndpoint(
          int userDiscriminator, String format) =>
      imageBaseUrl + "embed/avatars/${(userDiscriminator % 5)}.$format";

  static String userAvatarEndpoint(
          String userId, String userAvatarHash, String format) =>
      imageBaseUrl + "avatars/$userId/$userAvatarHash.$format";

  static String applicationIconEndpoint(
          String applicationId, String applicationIconHash, String format) =>
      imageBaseUrl + "app-icons/$applicationId/$applicationIconHash.$format";
}
